POST /api/v3/setup

Processes a SetupSheet Excel file Accepts a base64 string representation of an xlsx file File must be Microsoft Excel 2007 or later.

PostSetupSheetV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Type: string

Example Request Body application/json
"string"

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Setup
Property Description Type
action Action that was performed - create, update, convert string
failure Count of rows that failed integer (int32)
finish Time at which the import finished string (date-time)
kickout A stream that represents the kickout file string
sheetType Type of sheet that was imported string
skip Count of rows that were skipped integer (int32)
start Time at which the import started string (date-time)
success Count of rows that succeeded integer (int32)
taskId Unique identifier for this import integer (int32)
type Type of importer string
Example Response application/json
{  "action": "string",  "failure": 1,  "finish": "2026-03-30",  "kickout": "string",  "sheetType": "string",  "skip": 1,  "start": "2026-03-30",  "success": 1,  "taskId": 1,  "type": "string"
}